[Bioperl-l] error in build.pl of bioperl-live

Ryan Golhar golharam at umdnj.edu
Fri Feb 8 21:08:30 EST 2008


In addition, if I continue past the error and run './Build test', I get 
a bunch of errors like this:

BEGIN failed--compilation aborted at t/lib/BioperlTest.pm line 109.
Compilation failed in require at t/Allele.t line 9.
BEGIN failed--compilation aborted at t/Allele.t line 9.
t/Allele.......................... Dubious, test returned 255 (wstat 
65280, 0xff00)
  No subtests run

All the tests fail.  The last few lines read:

Files=257, Tests=0, 19 wallclock secs ( 0.77 usr  0.51 sys + 12.18 cusr 
  1.75 csys = 15.21 CPU)
Result: FAIL
Failed 255/257 test programs. 0/0 subtests failed.

Am I missing something?  This can't be related to the missing prereqs as 
all the tests are failing.

Ryan Golhar wrote:
> I just obtained the latest build of bioperl from svn.  When I run 'perl 
> Build.pl', I get an error "Use of uninitialized value in concatenation 
> (.) or string at Build.PL line 184.".  Here's the output I see (The 
> error is at the end):
> 
> [golharam at hydrogen bioperl-live]$ perl Build.PL
> Checking prerequisites...
> Install [a]ll optional external modules, [n]one, or choose 
> [i]nteractively? [n]
>  * Optional prerequisite Ace is not installed
>    (wanted for access of ACeDB database, used by Bio::DB::Ace and 
> Bio::DB::GFF::
> Adaptor::ace)
>  * Optional prerequisite Algorithm::Munkres is not installed
>    (wanted for Phylogenetic Networks, used by Bio::PhyloNetwork)
>  * Optional prerequisite Math::Random is not installed
>    (wanted for Random Phylogenetic Networks, used by 
> Bio::PhyloNetwork::RandomFactory)
>  * Optional prerequisite GraphViz is not installed
>    (wanted for Phylogenetic Network Visulization, used by 
> Bio::PhyloNetwork::GraphViz)
>  * Class::AutoClass (0.091) is installed, but we prefer to have 1
>    (wanted for creating objects, used by Bio::Graph::SimpleGraph, 
> Bio::Graph::SimpleGraph::Traversal and Bio::Graph::ProteinGraph)
>  * Optional prerequisite Array::Compare is not installed
>    (wanted for Phylogenetic Networks, used by Bio::PhyloNetwork)
> 
> ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the 
> versions
> of the modules indicated above before proceeding with this installation
> 
> Checking features:
>   Network..................enabled
>   BioDBSeqFeature_mysql....enabled
>   BioDBGFF.................enabled
>   BioDBSeqFeature_BDB......enabled
> 
> Do you want to run the BioDBGFF or BioDBSeqFeature_mysql live database 
> tests? y/
> n [n] n
>   - will not run the BioDBGFF live database tests
> 
> Use of uninitialized value in concatenation (.) or string at Build.PL 
> line 184.
> Install [a]ll Bioperl scripts, [n]one, or choose groups [i]nteractively? 
> [a]
> 



More information about the Bioperl-l mailing list